Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent provider catalog

GET/workspaces/{organizationId}/agent/providers/catalog
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Agents a workspace can add, with hosted vs BYO modes and required fields

providersobject[]required
Show properties
Array of object
idstringrequired
namestringrequired
modesobject[]required
Show properties
Array of object
idstringrequired
Allowed:hostedbyo
labelstringrequired
helpstring
fieldsobject[]required
Show properties
Array of object
keystringrequired
labelstringrequired
requiredbooleanrequired
typestringrequired
Allowed:textsecretselect
optionsobject[]
Show properties
Array of object
valuestringrequired
labelstringrequired
helpstring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/agent/providers/catalog' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "providers": [
    {
      "id": "string",
      "name": "string",
      "modes": [
        {
          "id": "hosted",
          "label": "string",
          "help": "string",
          "fields": [
            {
              "key": "string",
              "label": "string",
              "required": true,
              "type": "text",
              "options": [
                {
                  "value": "string",
                  "label": "string"
                }
              ],
              "help": "string"
            }
          ]
        }
      ]
    }
  ]
}

Was this page helpful?